:root {
    --glax-belly: #c4d9f5;
    --glax-body-main: #3250b0;
    --glax-body-dark: #292f75;
    --glax-body-outline: #1d2848;
    --glax-horn: #3a3c3f;
    --glax-horn-outline: #292929;
    --glax-sclera: #ffffff;
    --glax-pupil: #000000;
    --glax-iris: #f01d0a;
    --glax-iris-dark: #670d04;
    --glax-flesh: #f797ab;
    --glax-flesh-outline: #de6881;
    --glax-tongue: #e84d66;
    --glax-tongue-outline: #b53147;
    --glax-teeth: #ffffff;
    --glax-teeth-outline: #bcdeea;
    --glax-glow: #fffb85;
    --glax-flame-hot: #fffa48;
    --glax-flame-warm: #ff5704;
    --ych: #dadada;
    --ych-outline: #a0a0a0;
    --ych-alt: #f5f5f5;
}

/* Light theme */
:root {
    --shade-0: #000;
    --shade-1: #444;
    --shade-2: #666;
    --shade-3: #ccc;
    --shade-4: #eee;
    --shade-5: #fff;

    --glax-shade-0: var(--glax-body-outline);
    --glax-shade-1: var(--glax-body-dark);
    --glax-shade-2: var(--glax-body-main);
    --glax-shade-3: var(--glax-belly);

    --link: var(--glax-body-main);

    --button-text: #000;
    --button-border: #888;
    --button-background: #eee;
    --button-hover-border: #ccc;
    --button-hover-background: #fff;
}

/* Dark Theme */
@media screen and (prefers-color-scheme: dark) {
    :root, html {
        --shade-5: #222;
        --shade-4: #444;
        --shade-3: #666;
        --shade-2: #ccc;
        --shade-1: #eee;
        --shade-0: #fff;

        --glax-shade-3: var(--glax-body-outline);
        --glax-shade-2: var(--glax-body-dark);
        --glax-shade-1: var(--glax-body-main);
        --glax-shade-0: var(--glax-belly);

        --link: #656edf;

    --button-text: #fff;
    --button-border: #777;
    --button-background: #111;
    --button-hover-border: #ccc;
    --button-hover-background: #555;
    }
}

:root {

    --background: var(--shade-5);
    --text: var(--shade-0);

    --menu-back: var(--shade-0);
    --menu-active: var(--shade-1);
    --menu-hover: var(--shade-2);
    --menu-text: var(--shade-5);

}

/* Page */

body {
    background: var(--background);
    color: var(--text);
    max-width: 1200px;
    min-width: min-content;
    margin: auto;
    font-family: sans-serif;
}

#content {
    padding: 0 1ex;
    max-width: 100vw;
    box-sizing: border-box;
}

iframe {
    border: none;
}

a {
    color: var(--link);
    text-decoration: none;
}

a:hover {
    text-decoration: underline;
}

/* Buttons */
ul.buttons {
    display: flex;
    margin: 1em;
    padding: 0;
    list-style: none;
    flex-flow: row wrap;
    justify-content: center;
}

ul.buttons > li {
    display: flex;
}

ul.buttons > li > *, button {
    color: var(--button-text);
    text-decoration: none;
    font-family: sans;
    border: 1px solid var(--button-border);
    padding: 5px;
    background-color: var(--button-background);
    outline: 0;
    white-space: nowrap;
}

button {
    border-radius: 5px;
}
ul.buttons > li > * {
    border-radius: 0px;
}

ul.buttons > li:first-child > * {
    border-top-left-radius: 5px;
    border-bottom-left-radius: 5px;
}

ul.buttons > li:last-child > * {
    border-top-right-radius: 5px;
    border-bottom-right-radius: 5px;
}

ul.buttons > li > a:hover,
ul.buttons > li > a.link_parent:hover,
ul.buttons > li > button:hover,
button:hover {
    border-color: var(--button-hover-border);
    background-color: var(--button-hover-background);
}

ul.buttons > li > a,
ul.buttons > li > button,
button {
    cursor: pointer;
    color: var(--button-text);
    font-size: medium;
}

ul.buttons > li > a:active,
ul.buttons > li > span.link,
ul.buttons > li > a.link_parent,
ul.buttons > li > button:active,
ul.buttons > li > button.active,
nutton:active {
    border-color: var(--button-hover-border);
    background-color: var(--button-hover-background);
}

/* Footer */
aside.copyright {
    border-top: 1px solid var(--shade-3);
    margin-top: 1em;
    padding: 0.5em 0;
    font-size: x-small;
    text-align: right;
}

aside.copyright img {
    vertical-align: middle;
}


/* Nav */
.navicon {
    text-align: center;
    display: inline-block;
    margin-right: 3px;
}

nav.menu {
    margin: 0 0 1em;
}

nav.menu > ul {
    margin: 1em 0 0;
    display: flex;
    flex-flow: row wrap;
    justify-content: left;
    background-color: var(--menu-back);
    color: var(--menu-text);
    position: relative;
    padding: 0;
    white-space: nowrap;

}

nav.menu > ul > li {
    display: flex;
    border-right: 1px solid var(--menu-text);
    align-items: stretch;
}

nav.menu > ul > li.separator {
    flex-grow: 1;
}

nav.menu > ul > li > *,
nav.sub-menu > ul > li > * {
    padding: 1ex;
    color: var(--menu-text);
    display: block;
    text-decoration: none;
}

nav.menu > ul > li > *:hover,
nav.sub-menu > ul > li > *:hover {
    background-color: var(--menu-hover);
}

nav.menu > ul > li > span.link,
nav.menu > ul > li > *.link_parent,
nav.sub-menu > ul > li > span.link,
nav.sub-menu > ul > li > *.link_parent {
    font-weight: bold;
    background-color: var(--menu-active);
}

nav.menu > ul > li > nav.sub-menu {
    position: relative;
}

nav.menu > ul > li > nav.sub-menu > ul.sub-menu-items {
    font-weight: normal;
    position: absolute;
    display: none;
    top: 100%;
    left: -1px;
    background-color: var(--menu-back);
    border: 1px solid var(--menu-text);
    min-width: 100%;
    z-index: 9001;
}

nav.menu > ul > li > nav.sub-menu > ul.sub-menu-items .separator {

    border-top: 1px solid;
    margin: 0 5px;

}

nav.menu > ul > li:hover > nav.sub-menu > ul.sub-menu-items {
    display: block;
}

nav.menu .profile-pic {
    height: 32px;
    padding: 0;
    margin: -1ex 0 -1ex 1ex;
    border-radius: 16px;
    vertical-align: middle;
}

nav.sub-menu > ul {
    list-style: none;
    padding: 0;
    display: flex;
    flex-flow: column;
    z-index: 1;
}

nav.menu > ul > li.logo {
    background-color: var(--menu-back);
    width: 6em;
    min-height: 2em;
}

@media screen and (max-width: 183px) {
    nav.menu > ul > li.logo {
        margin-bottom:1em;
    }
}

nav.menu > ul > li.logo > a {
    position: absolute;
    left: 1em;
    top: -1em;
    height: 4em;
    width: 4em;
    padding: 0;
    border-radius: 50%;
    background: url("/media/img/rasterized/icon/scalable.png");
    background-size: cover;
    background-color: var(--menu-back);
}

nav.menu > ul > li.logo:hover > a,
nav.menu > ul > li > a.link_parent:hover,
nav.menu > ul > li.logo:hover {
    background-color: var(--menu-hover);
}

nav.menu > ul > li > nav.sub-menu > .sub-menu-title::after {
    /*content: "\25be";
    font-weight: normal;*/
    font: var(--fa-font-solid);
    content: "\f0d7";
    padding-left: 0.25ch;
}

.telegram-stickers-count {
    font-size: smaller;
}

dt:not(:first-child) {
    margin-top: 0.25em;
}

[data-collapse] {
    cursor: pointer;
}
[data-collapse]:hover {
    text-decoration: underline;
}
[data-collapse]::after {
    content: " [-]";
}
[data-collapse].collapsed::after {
    content: " [+]";
}

section header a {
  color: inherit;
  text-decoration: none;
}
section header a:hover {
  text-decoration: underline;
}
section header > :first-child:hover::after {
  content: "\00B6";
}

blockquote p {
    margin: 0.5em 0;
}
.quote {
    font-style: italic;
    border-left: 5px solid var(--shade-3);
    margin: 1em 0 0.5em 2em;
    padding: 0 0 0 1em;
}

.heading-anchor > a {
    color: inherit;
    text-decoration: none;
}
.heading-anchor > a:hover {
    text-decoration: underline;
}

.alpha-back {
    background-color: var(--shade-5);
    background-size: 64px 64px;
    background-image:
        linear-gradient(to right, rgba(0, 0, 0, .3) 50%, transparent 50%),
        linear-gradient(to bottom, rgba(0, 0, 0, .3) 50%, transparent 50%),
        linear-gradient(to bottom, white 50%, transparent 50%),
        linear-gradient(to right, transparent 50%, rgba(0, 0, 0, .5) 50%)
    ;
}

nav.path {
    margin: 1em;
    font-size: x-large;
}
nav.path > .path_title {
    margin-right: 1ex;
}

/* Allow copy-pasting but change display */
nav.path > .path_sepatator {
    color: transparent;
    font-size: 0;
}
nav.path > .path_sepatator:after {
    color: gray;
    content: "〉";
    margin: 0 0 0 1ex;
    font-size: large;
}

/* tables */
.table th {
    background-color: var(--shade-4);
}
.table {
    border-collapse: collapse;
}
.centered-block {
    margin: 0 auto;
}
.table td, .table th {
    border: 1px solid var(--shade-3);
    padding: 2px 4px;
}
